<!DOCTYPE html>
<html lang="fr">
<head>
    <link rel="stylesheet" href="/main.css">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>(é)coder son site web</title>
</head>
<body>

    <header>
        <div class="content-container">
            <h1>(é)coder <br>son site web</h1>
            <p>Imaginé pour le <a href="https://ecolegreenit.ls2n.fr/">Summer school Green I.T. 2024</a>, ce projet de <strong>live-coding</strong> d'un site web a pour objectif d'exposer <strong>différents concepts et techniques d'optimisation</strong> applicables dans une logique d'<strong>écoconception</strong>.</p>
        </div>
    </header>
    
    <main>
        
        <section class="bg-red-light txt-white">
            <div class="content-container">
                <h2>TL;DR</h2>
                <p>Qu'est-ce qu'on fait là, en plein mois de juin, alors qu'il si fait beau dehors ?!<br>(ou pas)</p>
                <p>Le Numérique pollue. La fabrication des équipements est responsable de <strong>70 à 80 %</strong> des impacts environnementaux. En ligne de mire : vous, moi, <strong>nous tous</strong>, utilisateurs, de par le nombre d'équipements individuels dont nous disposons (smarphones, ordinateurs, téléviseurs, etc.) et que <strong class="bg-red-dark">nous changeons trop souvent</strong>.</p>
                <p>L'écoconception ne va pas sauver le monde. Mais si tout le monde s'y met, on peut espérer garder plus longtemps nos appareils. C'est un bon début pour espérer une relation plus soutenable avec le Numérique.</p>
            </div>
        </section>

        <section>
            <div class="content-container">
                <h2>Au menu</h2>
                <ol>
                    <li>Réfléchir "mobile first"</li>
                    <li>Assurer la responsivité de son layout</li>
                    <li>Gérer ses images de façon responsable</li>
                    <li>Créer un formulaire de contact robuste (sans JavaScript)</li>
                    <li>Intégrer une vidéo native HTML5...</li>
                    <li>...Ou mettre en place une façade pour une intégration tierce avec <a href="https://github.com/justinribeiro/lite-youtube">lite-youtube</a> ?</li>
                    <li>Penser concaténation et minification</li>
                    <li>Bien configurer son serveur</li>
                    <li>Autres sujets ?</li>
                </ol>
            </div>
        </section>

    </main>

</body>
</html>